#ifndef __CAPTURETEST_H
#define __CAPTURETEST_H

//Struct to hold player info data
typedef struct s_player_info_t {
	char name[4];
	unsigned int timelimit; //0 for no limit
	int last_score;
	int score;
	int bingos;
} player_info_t;

//Function prototypes

void init(void);			//Initialize program
void timer_isr (void);		//Timer interrupt
void capture1_isr (void);	//Key press interrupt
void capture2_isr (void);	//Button press interrupt

void initRunMode(int playernum);	//Initialize run mode
void dopause(void);					//Pause
void unpause(void);					//unpause
void togglepause(void);				//toggle pause
void do_outoftime(void);			//Out of time code
void un_outoftime(void);			//Reverse out of time
void nolimit(void);					//Set no time limit


#define BUZZ_LENGTH 4 //Amount of time to buzz for in seconds

#define FLASH_RATE_ON  1 //Flash on time in seconds
#define FLASH_RATE_OFF 2 //Flash off time in seconds
#define FLASH_START 30   //Start timer when there are this many seconds left

#define CCP1 (ccpflags & 0x01)	//Capture 1 bit
#define CCP2 (ccpflags & 0x02)	//Capture 2 bit

#define SET_CCP1 ccpflags=(ccpflags | 0x01)	//Set the bit
#define SET_CCP2 ccpflags=(ccpflags | 0x02)	//

#define CLR_CCP1 ccpflags=(ccpflags & 0x02)	//Clear the bit
#define CLR_CCP2 ccpflags=(ccpflags & 0x01) //

//states for FSM:
#define ENTER_NAMES_STATE		 	0
#define SET_TIMES_STATE				1
#define RUN_STATE					2
#define BUZZ_STATE					3
#define ENTER_PLAYERS_STATE         4


//buttons
#define TIME_BYPASS_BUTTON	2
#define TIME_BUTTON			11
#define ALL_BUTTON			3
#define PAUSE_BUTTON		4
#define START_BUTTON		0
#define RESET_TIMER_BUTTON  1

#define PLAYER1_BUTTON			7
#define PLAYER2_BUTTON			5
#define PLAYER3_BUTTON			6
#define PLAYER4_BUTTON			10

//KEYPAD BUTTONS
#define ENTER_KEY			11	//These are on the keypad
#define PLUS_KEY			11
#define NEXT_KEY			0
#define SPACE_KEY			1
#define BACKSPACE_KEY		10
#define MINUS_KEY			10

#endif
