#define PLAYER_NAME_LENGTH 8
#define NUM_DIGITS_SCORE 5		//total score
#define NUM_DIGITS_BINGOS 5		//Actual prev score

#define TIME_START_COL 0			//Where to start displaying time
#define ENTER_SCORE_VALUE_POS 21	//Where to enter score
#define TIME_BAR_LENGTH 30
#define TIME_ALL_MODE_TIME_POS 32

#include "../mylcd/mylcd.h"
#include "../capturetest/capturetest.h"
#include <xlcd.h>
#include <stdlib.h>
#include <string.h>

//diff lcd init for each mode
void scrabbleLCDinit(void);
void scrabbleLCDinitSetTimeMode(void);
void scrabbleLCDinitReadyMode(void);
void scrabbleLCDinitRunMode(void);

void placeCursor(int playernum, int charnum);
void placeChar(int playernum, int charnum, char c);

//should be called after position set, because 
// it is screen dependent.
void cursorOn(void);
void cursorOff(void);

//Display the time or time bar
void dispTimeSecs(int playernum, int secs);
void dispTime(int playernum, int mins, int secs);
void dispTimeBar(int mins, int secs, int totalmins, int totalsecs);
void dispTimeBarRatio(float ratio);

//Display all player scores
void dispScores(player_info_t *players, int numplayers);

//Display scores for certain player
void setScore(int playernum, int score);	//Total score
void setBingos(int playernum, int bingos);	//Actually last score

//Set ths player's turn
void setPlayerTurn(int playernum);
